﻿using System;

namespace CompositePlasticBag
{
    public class OrdinaryStuff : IStuff
    {
        /// <summary>
        /// The description of this object
        /// </summary>
        public String Description { get; set; }

        /// <summary>
        /// The (accumulated) weight of this object
        /// </summary>
        public int Weight { get; set; }

        /// <summary>
        /// Returns a string representation of this object
        /// </summary>
        /// <returns>a string representation of this object</returns>
        public override string ToString()
        {
            return string.Format("Description: {0}, Weight: {1}", Description, Weight);
        }


    }
}
