﻿using System;

namespace CompositePlasticBag
{
    class Program 
    {
        private static readonly IStuff Milk = new OrdinaryStuff { Description = "Milk", Weight = 1000 };
        private static readonly IStuff Coffee = new OrdinaryStuff { Description = "Coffee", Weight = 500 };
        private static readonly IStuff Bread = new OrdinaryStuff { Description = "Bread", Weight = 600 };

        static void Main()
        {
            StuffContainer plasticBag1 = new StuffContainer { Description = "plastic bag", MaxWeight = 4000 };
            plasticBag1.Add(Milk);
            plasticBag1.Add(Coffee);
          
            StuffContainer plasticBag2 = new StuffContainer { Description = "plastic bag 2", MaxWeight = 5000 };
            plasticBag2.Add(Bread);
            plasticBag2.Add(plasticBag1);
            
            plasticBag1.Contains(Milk);
            bool contained = plasticBag2.Contains(Coffee);
            Console.WriteLine(contained);
        }
    }
}
